org.apache.ignite.ml.math.stat

## Class MultivariateGaussianDistribution

- java.lang.Object
- - org.apache.ignite.ml.math.stat.MultivariateGaussianDistribution

- All Implemented Interfaces:
    Serializable, Distribution

      public class MultivariateGaussianDistribution
      extends Object
      implements Distribution

  Distribution represents multidimensional gaussian distribution.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultivariateGaussianDistribution(Vector mean, Matrix covariance)` Constructs an instance of MultivariateGaussianDistribution.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Matrix` | `covariance()`
    `int` | `dimension()`
    `Vector` | `mean()`
    `double` | `prob(Vector x)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MultivariateGaussianDistribution

          public MultivariateGaussianDistribution(Vector mean,
                                                  Matrix covariance)

      Constructs an instance of MultivariateGaussianDistribution.
      Parameters:
        `mean` - Mean.
        `covariance` - Covariance.

  - ### Method Detail

    - #### prob

          public double prob(Vector x)

      Specified by:
        `prob` in interface `Distribution`
      Parameters:
        `x` - Vector.
      Returns:
        Probability of vector.

    - #### dimension

          public int dimension()

      Specified by:
        `dimension` in interface `Distribution`
      Returns:
        Dimension of vector space.

    - #### mean

          public Vector mean()

      Returns:
        Mean vector.

    - #### covariance

          public Matrix covariance()

      Returns:
        Covariance matrix.

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023